Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 642302 - dev-java/lucene: please bump EAPI and stabilize
Summary: dev-java/lucene: please bump EAPI and stabilize
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Robin Johnson
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: EAPI3Removal
  Show dependency tree
 
Reported: 2017-12-26 12:06 UTC by Mikle Kolyada
Modified: 2018-01-03 10:08 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2017-12-26 12:06:35 UTC
see tracker.
Comment 1 Larry the Git Cow gentoo-dev 2018-01-03 10:08:47 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c99a234da1053250650fbb3c337afecb3ca17c35

commit c99a234da1053250650fbb3c337afecb3ca17c35
Author:     Patrice Clement <monsieurp@gentoo.org>
AuthorDate: 2018-01-03 10:08:09 +0000
Commit:     Patrice Clement <monsieurp@gentoo.org>
CommitDate: 2018-01-03 10:08:41 +0000

    dev-java/lucene: clean up old.
    
    Closes: https://bugs.gentoo.org/642302
    Package-Manager: Portage-2.3.13, Repoman-2.3.3

 dev-java/lucene/lucene-3.6.2.ebuild | 130 ------------------------------------
 1 file changed, 130 deletions(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=47f231718ad4c15c4c5616287321760790b0d828

commit 47f231718ad4c15c4c5616287321760790b0d828
Author:     Patrice Clement <monsieurp@gentoo.org>
AuthorDate: 2018-01-03 10:07:13 +0000
Commit:     Patrice Clement <monsieurp@gentoo.org>
CommitDate: 2018-01-03 10:08:39 +0000

    dev-java/lucene: EAPI 6 bump.
    
    Bug: https://bugs.gentoo.org/642302
    Package-Manager: Portage-2.3.13, Repoman-2.3.3
    RepoMan-Options: --force

 dev-java/lucene/lucene-3.6.2-r1.ebuild | 189 +++++++++++++++++++++++++++++++++
 1 file changed, 189 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2e568ada41b1b78e81e024668b9f0373b5874538

commit 2e568ada41b1b78e81e024668b9f0373b5874538
Author:     Patrice Clement <monsieurp@gentoo.org>
AuthorDate: 2018-01-03 09:42:06 +0000
Commit:     Patrice Clement <monsieurp@gentoo.org>
CommitDate: 2018-01-03 10:08:37 +0000

    dev-java/lucene: clean up old.
    
    Bug: https://bugs.gentoo.org/642302
    Package-Manager: Portage-2.3.13, Repoman-2.3.3

 dev-java/lucene/lucene-3.5.0.ebuild | 104 ------------------------------------
 1 file changed, 104 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac63c743ed18aaaa0ae3fe320b4029a445c54ee0

commit ac63c743ed18aaaa0ae3fe320b4029a445c54ee0
Author:     Patrice Clement <monsieurp@gentoo.org>
AuthorDate: 2018-01-03 09:41:26 +0000
Commit:     Patrice Clement <monsieurp@gentoo.org>
CommitDate: 2018-01-03 10:08:35 +0000

    dev-java/lucene: EAPI 6 bump.
    
    Bug: https://bugs.gentoo.org/642302
    Package-Manager: Portage-2.3.13, Repoman-2.3.3
    RepoMan-Options: --force

 dev-java/lucene/lucene-3.5.0-r1.ebuild | 136 +++++++++++++++++++++++++++++++++
 1 file changed, 136 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=728948b68b16a07b09b1a1f123f8b575efec15aa

commit 728948b68b16a07b09b1a1f123f8b575efec15aa
Author:     Patrice Clement <monsieurp@gentoo.org>
AuthorDate: 2018-01-02 20:52:17 +0000
Commit:     Patrice Clement <monsieurp@gentoo.org>
CommitDate: 2018-01-03 10:08:33 +0000

    dev-java/lucene: clean up old.
    
    Bug: https://bugs.gentoo.org/642302
    
    Package-Manager: Portage-2.3.13, Repoman-2.3.3

 dev-java/lucene/Manifest               |  1 -
 dev-java/lucene/lucene-2.4.1-r1.ebuild | 57 ----------------------------------
 2 files changed, 58 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0b5f524923e10fd94a7f5deb80844d8b8acccf81

commit 0b5f524923e10fd94a7f5deb80844d8b8acccf81
Author:     Patrice Clement <monsieurp@gentoo.org>
AuthorDate: 2018-01-02 20:51:17 +0000
Commit:     Patrice Clement <monsieurp@gentoo.org>
CommitDate: 2018-01-03 10:08:31 +0000

    dev-java/lucene: EAPI 6 bump.
    
    Commit straight to stable as per IRC discussion with zlogene.
    
    Bug: https://bugs.gentoo.org/642302
    
    Package-Manager: Portage-2.3.13, Repoman-2.3.3
    RepoMan-Options: --force

 dev-java/lucene/Manifest               |  1 +
 dev-java/lucene/lucene-2.4.1-r2.ebuild | 79 ++++++++++++++++++++++++++++++++++
 2 files changed, 80 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2910da6cfb7f63d5064e275b9c5bc37d3cf70501

commit 2910da6cfb7f63d5064e275b9c5bc37d3cf70501
Author:     Patrice Clement <monsieurp@gentoo.org>
AuthorDate: 2018-01-02 20:18:47 +0000
Commit:     Patrice Clement <monsieurp@gentoo.org>
CommitDate: 2018-01-03 10:08:29 +0000

    dev-java/lucene: clean up old.
    
    Bye bye EAPI 3 ebuild.
    
    Bug: https://bugs.gentoo.org/642302
    Package-Manager: Portage-2.3.13, Repoman-2.3.3

 dev-java/lucene/lucene-1.4.3-r3.ebuild | 47 ----------------------------------
 1 file changed, 47 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ec1c6909bd1b08ef3f86f8dd0ca9b2b6e0f52523

commit ec1c6909bd1b08ef3f86f8dd0ca9b2b6e0f52523
Author:     Patrice Clement <monsieurp@gentoo.org>
AuthorDate: 2018-01-02 20:17:51 +0000
Commit:     Patrice Clement <monsieurp@gentoo.org>
CommitDate: 2018-01-03 10:08:27 +0000

    dev-java/lucene: EAPI 6 bump.
    
    Commit straight to stable as discussed with zlogne on IRC.
    
    Bug: https://bugs.gentoo.org/642302
    Package-Manager: Portage-2.3.13, Repoman-2.3.3
    RepoMan-Options: --force

 dev-java/lucene/lucene-1.4.3-r4.ebuild | 52 ++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)}